Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I'm using WKHTMLTOPDF on a 64-bit Linux server and I'm running into problems with the version.

Seen here: http://code.google.com/p/wkhtmltopdf/downloads/list

There's slim pickins when it comes to pre-compiled binaries. I started with version 0.9.9 which has a few bugs. I upgraded to 0.11.0 RC 1 to find a slew of new problems, namely the following:

http://code.google.com/p/wkhtmltopdf/issues/detail?id=730

I think 0.10 RC 2 would work, and the thread above suggests compiling from the source has a fix for the error I'm getting, but I don't know how to do that.

Can anyone explain how I can create a static binary myself, or would anyone be willing to create and post one for the countless people waiting for this fix?

share|improve this question

1 Answer 1

up vote 3 down vote accepted

This is a pre-compiled static binary for 64-bit 0.10 RC 2:

http://code.google.com/p/wkhtmltopdf/downloads/detail?name=wkhtmltopdf-0.10.0_rc2-static-amd64.tar.bz2&can=1&q=

Here's a list of all the binaries you can have (note that this one is put down as Deprecated, but I used it for a previous project for very similar reasons, and it worked perfectly).

share|improve this answer
    
Ho damn, I just needed to change the dropdown! Thank you thank you. –  Chords Jun 30 '12 at 23:54

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.